  @echo off
setlocal enabledelayedexpansion enableextensions



	call "%~dp0AutoCams.setup.bat" "%~dpnx0"
	call "%~dp0indent_setup.bat"

	call "!bat_exedir!\ReadParams.bat"

	!bat_echolog!
	!bat_echolog! =============================================================
	!bat_echolog! %date% %time% - Version: !bat_vers! - %~dpnx0 [%*]
	!bat_echolog! [!bat_batchfile!:SETUP %*]  Please wait...
	!bat_pushecho!

	set bat_targetdir=%~2
	set bat_caldir=%~1


:COPYCAMERASFROMSITESFILE [IN bat_caldir, IN bat_targetdir]
!bat_pushlog! [call !bat_batchfile!:COPYCAMERASFROMSITESFILE %*]


	!bat_pushecho! Camera List:
	for /f "usebackq tokens=* skip=1" %%a in (`dir "!bat_targetdir!\CAL???_*.txt" /b^|sort`) do (
		set bat_temp_camera_info=%%a
		set bat_temp_camera=!bat_temp_camera_info:~3,3!

		for /f "usebackq tokens=1-9* skip=1" %%b in  (`find "!bat_temp_camera! " "!bat_targetdir!\CameraSites.txt"`) do (
			if /i "%%b" equ "!bat_temp_camera!" (
				set bat_temp_camerafile=%%f
			)
		)

		!bat_echolog! ...........!bat_temp_camera!  [!bat_temp_camera_info!]  "!bat_temp_camerafile!"
	)
	!bat_popecho!
		


	!bat_pushecho! for /f "usebackq tokens=1-9* skip=4" ..b in ^(`find /v "" "!bat_targetdir!\CameraSites.txt"`^) do ^(
				   for /f "usebackq tokens=1-9* skip=4" %%b in  (`find /v "" "!bat_targetdir!\CameraSites.txt"`) do (
		if not exist "!bat_targetdir!\%%f" (
			!bat_logexec! copy /y "!bat_caldir!\%%f" "!bat_targetdir!\%%f"
		)
	)
	!bat_popecho! ^(




%bat_COMMENT_BEGIN%
	rem Loop through CAL files in this coincidence set to obtain a sorted list of camera numbers...
	!bat_pushecho! for /f "usebackq tokens=* skip=1" ..a in ^(`dir "!bat_targetdir!\CAL???_*.txt" /b][sort`^) do ^(
	               for /f "usebackq tokens=* skip=1" %%a in  (`dir "!bat_targetdir!\CAL???_*.txt" /b^|sort`) do (
		set bat_temp_camera_info=%%a
		set bat_temp_camera=!bat_temp_camera_info:~3,3!
		!bat_echolog! %%a     !bat_temp_camera!  [!bat_temp_camera_info!]
		
		if /i "!bat_temp_camera!" neq "" (
			rem For each calibration file found, find the camera file and do the copy...
			!bat_pushecho! for /f "usebackq tokens=1-9* skip=1" ..b in ^(`find "!bat_temp_camera! " "!bat_targetdir!\CameraSites.txt"`^) do ^(
						   for /f "usebackq tokens=1-9* skip=1" %%b in  (`find " " "!bat_targetdir!\CameraSites.txt"`) do (
				if /i "%%b" equ "!bat_temp_camera!" ^(
					!bat_logexec! copy /y "!bat_caldir!\%%f" "!bat_targetdir!"
				)
			)
			!bat_popecho! ^)
		)
		
	)
	!bat_popecho! ^)
%bat_COMMENT_END%



:COPYCAMERASFROMSITESFILE
!bat_poplog! [return !bat_batchfile!:COPYCAMERASFROMSITESFILE] []
!bat_log!
!bat_echolog! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
!bat_return!

