
	rem =============================================================
	rem ====               SAVECONFIG                          ======
	rem 
	rem Saves the AutoCams.bat.ini file configuration info.
	rem 
	rem You need to remember to have called the READCONFIG script
	rem first.
	rem
	rem Requires: 
	rem    autocams.setup.bat
	rem    indent_setup.bat
	rem    all the variables that are going to be save below
	rem 
	rem This script was not designed to be run standalone.  The 
	rem environment variables set in this script will be retained
	rem in the calling environment afte the call. 
	rem 
	rem =============================================================

:SAVECONFIG
!bat_pushlog! [CALL !bat_batchfile!:SAVECONFIG] %*
	set bat_configfile=!bat_exedir!\AutoCams.bat.ini
	if /i "%~1" neq "" (set bat_configfile=%~1)

	echo [CAMSMENU]>"!bat_configfile!"
	echo bat_targetlocation=!bat_targetlocation!>>"!bat_configfile!"
	echo bat_camera=!bat_camera!>>"!bat_configfile!"
	echo bat_captureddate=!bat_captureddate!>>"!bat_configfile!"
	echo bat_capturedtime=!bat_capturedtime!>>"!bat_configfile!"
	echo bat_capturedfilesdir=!bat_capturedfilesdir!>>"!bat_configfile!"
	echo bat_archivedfilesdir=!bat_archivedfilesdir!>>"!bat_configfile!"
	echo bat_capturedcount=!bat_capturedcount!>>"!bat_configfile!"
	echo bat_archivedcount=!bat_archivedcount!>>"!bat_configfile!"
	echo bat_latestcal=!bat_latestcal!>>"!bat_configfile!"
	echo bat_submissionfilesdir=!bat_submissionfilesdir!>>"!bat_configfile!"
	echo bat_ftppassword=!bat_ftppassword!>>"!bat_configfile!"
	echo bat_ftpsite=!bat_ftpsite!>>"!bat_configfile!"
	echo bat_ftpuser=!bat_ftpuser!>>"!bat_configfile!"
	echo bat_ftpdir=!bat_ftpdir!>>"!bat_configfile!"
	echo bat_recent_error_msg=!bat_recent_error_msg!>>"!bat_configfile!"

:SAVECONFIG_END
!bat_poplog! [RETURN !bat_batchfile!:SAVECONFIG] [AutoCams.bat.ini=!bat_retval!, 
!bat_log! `                    bat_targetlocation=!bat_targetlocation!, 
!bat_log! `                    bat_camera=!bat_camera!, 
!bat_log! `                    bat_captureddate=!bat_captureddate!
!bat_log! `                    bat_capturedtime=!bat_capturedtime!
!bat_log! `                    bat_capturedfilesdir="!bat_capturedfilesdir!"
!bat_log! `                    bat_archivedfilesdir="!bat_archivedfilesdir!"
!bat_log! `                    bat_submissionfilesdir="!bat_submissionfilesdir!"]
!bat_log!
!bat_return!



