@echo off
setlocal enableextensions enabledelayedexpansion

:SETUP

	if not defined bat_exedir (
		call "%~dp0AutoCams.setup.bat" "%~f0"
		call "%~dp0indent_setup.bat"

		if not defined bat_COMMENT_BEGIN (
			set bat_pushstring=
		)

		if not defined bat_LOCALIZE.format.date (
			call "!bat_exedir!\ReadParams.bat"
		)
	)

	set bat_retval=

goto :MAIN


	
:MAIN
	!bat_CALL! "!bat_exedir!\GETDATE2.bat" %*
	
	!bat_logexeclog! set bat_curdate=!bat_date_cams!&	rem bat_date_cams format is: 2014_12_13 regardless of locale
	
	!bat_CALL! "!bat_exedir!\Date2JDate.bat" bat_JD !bat_curryyyy! !bat_currmm! !bat_currdd!
	!bat_CALL! "!bat_exedir!\JDate2Date.bat" !bat_JD! bat_yyyy bat_mm bat_dd

	set /a bat_wdayn="(!bat_JD!) %% 7"

	!bat_CALL! "!bat_exedir!\GetLocalizedDayOfWeek.bat" !bat_wdayn!

	if not defined bat_retval (
		goto :DONE
	)

	set bat_weekday=!bat_retval!


	!bat_log! !bat_curdate!, !bat_yyyy!/!bat_mm!/!bat_dd!, JD=!bat_jd!, !bat_wdayn!, !bat_weekday!

:MAIN_END

	ENDLOCAL & ( 
		set bat_retval=%bat_weekday% 
		set bat_returncode=%bat_wdayn%
	)

goto :DONE


:DONE
EXIT /B %bat_wdayn%

