
   @echo off
setlocal enableextensions enabledelayedexpansion

:SETUP

    echo.%*|find /i "/?">nul:
    if %errorlevel% equ 0 goto :HELP
    echo.%*|find /i "/h">nul:
    if %errorlevel% equ 0 goto :HELP
    echo.%*|find /i "/help">nul:
    if %errorlevel% equ 0 goto :HELP

	call "%~dp0AutoCams.setup.bat" "%~f0"
	call "%~dp0indent_setup.bat"
	if not defined bat_COMMENT_BEGIN (
		set bat_pushstring=

		call "!bat_exedir!\ReadParams.bat"
	)

	call :GETCURDATEINFO %*


	ENDLOCAL & (
		set bat_curryyyy=%bat_curryyyy%
		set bat_currmm=%bat_currmm%
		set bat_currdd=%bat_currdd%
		set bat_currdate=%bat_currdate%
	)

exit /b 0



:GETCURDATEINFO
!bat_pushlog! [CALL !bat_batchfile!:GETCURDATEINFO] %*
	set bat_curryyyy=
	set bat_currmm=
	set bat_currdd=
	set bat_currdate=

:GETCURDATEINFO2
	set bat_date_temp=!date!
	set bat_curryyyy=!bat_date_temp:~-4!
	set bat_currmm=!bat_date_temp:~4,2!
	set bat_currdd=!bat_date_temp:~7,2!
	set bat_currdate=!bat_date_temp:~-10!

:GETCURDATEINFO_END
rem for October 5, 2013, it should return [2013, 10, 05, 10/05/2013]
!bat_poplog! [RETURN !bat_batchfile!:GETCURDATEINFO] [!bat_curryyyy!, !bat_currmm!, !bat_currdd!, !bat_currdate!]
!bat_log!
!bat_return!




:HELP
	echo.Usage: call "bat_exedir\localize_GETDATE2_en-US.bat"
	echo.
	echo.Returns:
	echo.  environment variables: bat_curryyyy, bat_currmm, bat_currdd, bat_currdate
	echo.
	echo.The returned date needs to be in the "en-US" locale format where
	echo.the local date is returned as: mm/dd/yyyy
	echo.
	echo.Example:
	echo.  If the date is October 5, 2013, this routine should result with:
	echo.    bat_curryyyy=2013
	echo.    bat_currmm=10
	echo.    bat_currdd=05
	echo.    bat_currdate=10/05/2013
	echo.
	echo.This is the "en-US" local version of this script and it will serve
	echo.as a template for others to develop localized versions of this script.
	echo.



