   @echo off
setlocal enabledelayedexpansion enableextensions


:CHECKHELP

	(echo.%*|findstr /L /i /c:"/help" /c:"/h" /c:"/?" >nul: 2>&1) && (goto :HELP)

:CHECKHELP_END
goto :SETUP %*

	Flowchart:

	
:SETUP

	call "%~dp0AutoCams.setup.bat" "%~dpnx0"
	call "%~dp0indent_setup.bat"

	!bat_log!
	!bat_log! =============================================================
	!bat_log! !date! !time! - Version !bat_vers! %~dpnx0 %*
	!bat_log! [!bat_batchfile!:SETUP %*]  Please wait...
	!bat_pushlog!

	!bat_CALL! "!bat_exedir!\ReadParams.bat"

	set bat_returncode=-1


goto :MAIN %*



:MAIN 
!bat_pushlog! [CALL !bat_batchfile!:MAIN] %*

	set bat_returncode=-1

	!bat_log! for /f "usebackq tokens=1" ..a in ^(`dir %*][find /i " !bat_LOCALIZE.dir.files!"`^) do ...
	          for /f "usebackq tokens=1" %%a in  (`dir %*^|find /i " !bat_LOCALIZE.dir.files!"`) do (
		set bat_returncode=%%a
	)


:MAIN_END
!bat_poplog! [RETURN !bat_batchfile!:MAIN] [bat_filecount=!bat_returncode!]
!bat_log!
goto :DONE




:HELP
	@echo off
	echo.
	echo %~nx0
	echo.
	echo.Usage: %~nx0 "<filespec>"
	echo.
	echo.Uses the DIR command to get the file count based on the specified
	echo.filespec.  Wildcards are permitted.  
	echo.
	echo.You must not use the /b command line option as it will suppress the output of the " File^(s^)" string. 
	echo.This script uses the following construct to search for " File^(s^)" in the output:
    echo.    	dir %*^|find /i " !bat_LOCALIZE.dir.files!"
	echo.
	echo.Returns:
	echo.     ERRORLEVEL        - Negative number indicates error
	echo.                         0 or positive number is the file count
	echo.
	echo.
	
exit /b -99


:DONE
	!bat_popecho!
	!bat_log! [!bat_batchfile!:DONE]Done with %0 %*
	!bat_log! [!bat_batchfile!:DONE] exit /b !bat_returncode!
	!bat_log! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
exit /b !bat_returncode!
