  @echo off
setlocal enabledelayedexpansion enableextensions


:CHECKHELP

	echo.%*|find /i "/?">nul:
	if %errorlevel% equ 0 goto :HELP
	echo.%*|find /i "/h">nul:
	if %errorlevel% equ 0 goto :HELP
	echo.%*|find /i "/help">nul:
	if %errorlevel% equ 0 goto :HELP
	
	if "%~1" equ "" goto :HELP

goto :SETUP

	Flowchart:

	New changes 12/28/2014:
		
	
	rem 	SplitDetect_Sort.bat "C:\CAMS\ArchivedFiles\FTPdetectinfo_09980999_2012_08_03.txt"
	
:SETUP
	call "%~dp0AutoCams.setup.bat" "%~dpnx0"
	call "%~dp0indent_setup.bat"

	call "!bat_exedir!\ReadParams.bat"
rem	call "!bat_exedir!\ReadConfig.bat"
	
	set bat_startlocation=!bat_exedir!&					rem C:\CAMS
	set bat_startdrive=%~d0&				rem C:
	SET bat_returncode=0
	
	if /i "!bat_startlocation:~-5!" neq "\CAMS" (
		echo     ERROR: You must start from x:\CAMS directory. 
		exit /b 1
	)
	
	set bat_splitdetecttemp=!bat_exedir!\Logs\SplitDetectFiles.bat.txt
	set bat_splitdetecttemp2=!bat_exedir!\Logs\SplitDetectFiles2.bat.txt
	
	!bat_echolog!
	!bat_echolog! =============================================================
	!bat_echolog! %date% %time% - Version: !bat_vers! - %~dpnx0 [%*]
	!bat_echolog! [!bat_batchfile!:SETUP %*]  Please wait...
	!bat_pushecho!
	

	set bat_returncode=0

	set bat_caldir=!bat_startlocation!\Cal

	set bat_Header=11
	set bat_Trailer=0

	set bat_detectfilefull=%~1
	
	set bat_detectdir=%~dp1::
	set bat_detectdir=!bat_detectdir:\::=!
	set bat_detectdir=!bat_detectdir:::=!
	
	set bat_detectfile=%~nx1
	set bat_detectfile_name=%~n1
	
	set bat_sortdetect_header_file=SortDetect_header.txt
	set bat_sortdetect_detectfile_root=!bat_detectdir!\SortDetect_
	
	set bat_SourceDetectFile=!bat_detectdir!\!bat_detectfile!
	set bat_TargetHeaderFile=!bat_detectdir!\SortDetect_header.txt


	set bat_Script=!bat_exedir!\SortDetect_Split.vbs
	set VB=echo.^>^>"%bat_Script%" 


goto :SPLITDETECTFILE






	rem Copies each track 
:SPLITDETECTFILE
!bat_pushecho! [CALL !bat_batchfile!:SPLITDETECTFILE] [%*]

	!bat_echolog! [!date! !time!]
		
	set bat_temp_seg_file=
	set bat_new_track=
	set /a bat_track_count=0
	set /a bat_track_linecount=0
	
	cd 1>nul 2>"%bat_Script%"
	%VB% SourceFile="!bat_SourceDetectFile!"
	%VB% HeaderFile="!bat_TargetHeaderFile!"
	%VB% FileName="!bat_SourceDetectFile!"
	
	%VB% WScript.Echo    "    SourceFile="+SourceFile
	%VB% WScript.Echo    "    HeaderFile="+HeaderFile
	
	%VB% Set oFSO = CreateObject("Scripting.FileSystemObject")
	
		rem Extract Header
	%VB% If oFSO.GetFile(FileName).Size ^> 0 Then 
	%VB%   sNewName = HeaderFile
	%VB%   Set oInFile = oFSO.OpenTextFile(FileName) 
	%VB%   aData = Split(oInFile.ReadAll, VbCrLf) 
	%VB%   If UBound(aData) ^> !bat_Header! Then 
	%VB%     Set oOutFile = oFSO.OpenTextFile(sNewName, 8, True) 
	%VB%     For i = 0 To !bat_Header! - 1
	%VB%       oOutFile.WriteLine aData(i) 
	%VB%     Next 
	%VB%     oOutFile.Close 
	%VB%   End If 
	%VB%   oInFile.Close 
	%VB% End If 
	
	%VB% Set oFSO = CreateObject("Scripting.FileSystemObject") 
	%VB% If oFSO.GetFile(FileName).Size ^> 0 Then 

	%VB%   Set oInFile = oFSO.OpenTextFile(FileName) 
	
		rem Read the entire file into the aData array where each line is an array element
	%VB%   aData = Split(oInFile.ReadAll, VbCrLf) 
	
	%VB%   If UBound(aData) ^>= !bat_Header! Then 
	
	%VB%     temp_seq_file=""
	%VB%     new_track=false
	%VB%     track_count=0
	%VB%     track_linecount=0
	%VB%     For i = !bat_Header! To UBound(aData) - 1
	%VB%       temp=aData(i)
	%VB%       WScript.Echo temp

	
	%VB%       if temp="-------------------------------------------------------" Then
	%VB%         new_track=true
	%VB%         new_temp_track_file=""
	%VB%         track_count = bat_track_count + 1
	%VB%         track_linecount=1
	%VB%         save_line=temp
	%VB%       Else
	%VB%         new_track=false
	%VB%         track_linecount = track_linecount + 1
	
	%VB%         if track_linecount = 2 Then
	%VB%           camera_temp=Mid(temp,3,3)
	%VB%           temp_track_file="!bat_detectdir!\SortDetect_!camera_temp!.txt"
	%VB%           WScript.Echo temp_track_file
	%VB%           WScript.Echo temp
	%VB%           WScript.Echo camera_temp
	
	%VB%           Set oOutFile = oFSO.OpenTextFile(temp_track_file, 2, True)
	%VB%           oOutFile.WriteLine(save_line)
	%VB%           oOutFile.WriteLine(temp)
	%VB%         Else
	%VB%           track_line_count=track_line_count + 1
	%VB%           oOutFile.WriteLine(temp)
	%VB%         End If
	%VB%       end if

	%VB%     Next 
	%VB%     
	%VB%   End If 
	%VB%   oInFile.Close 
	%VB% End If 

	call cscript //nologo "%bat_Script%"
	rem del "%bat_Script%"
	
exit /b 0

	
	
	!bat_pushecho! for /f "usebackq tokens=* skip=11" ..a in ^(`type "!bat_detectfilefull!"`^) do ^(
	for                /f "usebackq tokens=* skip=11" %%a in  (`type "!bat_detectfilefull!"`) do (
		set bat_temp=%%a
		
		if "%%a" equ "-------------------------------------------------------" (
			rem New Track
			set bat_new_track=true
			set bat_temp_track_file=
			set /a bat_track_count+=1
			set /a bat_track_linecount=1
			set bat_save_line=!bat_temp!
			title !bat_track_count!


		) else (
			rem Part of a Track
			set bat_new_track=false
			set /a bat_track_linecount+=1
			

			if /i "!bat_track_linecount!" equ "2" (
				rem The FF*.bin line
				set bat_camera_temp=!bat_temp:~2,3!
				set bat_temp_track_file=!bat_detectdir!\SortDetect_!bat_camera_temp!.txt
				
				if not exist "!bat_temp_track_file!" (
					echo.!bat_save_line!>"!bat_temp_track_file!"
					echo.!bat_temp!>>"!bat_temp_track_file!"
				) else (
					echo.!bat_save_line!>>"!bat_temp_track_file!"
					echo.!bat_temp!>>"!bat_temp_track_file!"
				)
			) else (
				rem The rest of the track
				set /a bat_track_linecount+=1
				echo.!bat_temp!>>"!bat_temp_track_file!"
			)
		)
	)
	!bat_popecho! ^)
	
:SPLITDETECTFILE_END
!bat_popecho! [RETURN !bat_batchfile!:SPLITDETECTFILE] [!date! !time!, bat_track_count=!bat_track_count!]
!bat_echolog!
!bat_return!





:HELP
	@echo off
	echo.
	echo %~nx0
	echo.
	echo Usage: %~nx0 "<detect file>" "<capture dir>"
	echo.
	echo Example: 
	echo   splitdetect "c:\CAMS\ArchivedFiles\2012_07_14_05_12_29\FTPdetectinfo_02160213_2012_07_14.txt" "C:\CAMS\CapturedFiles\2012_07_14_04_34_59"
	echo.
	echo Generates two separate detect files, one for each camera in the detect file. 
	echo.
	echo Then it does the following:
	echo   1. Creates a directory for the highest camera number in the camera list
	echo   2. Moves all the camera files matching the highest camera number to the
	echo      new directory
	echo   3. Leaves the files pertaining to the lowest camera number in the 
	echo      original directory.
	echo.
	echo.
	echo.
exit /b -99


:DONE
	!bat_poplog! :DONE with %~f0 %*
	!bat_log! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	!bat_log!

exit /b !bat_returncode!
