@echo off
setlocal enableextensions enabledelayedexpansion


:SETUP
	call "%~dp0AutoCams.setup.bat" "%~dpnx0"
	call "%~dp0indent_setup.bat"

	call "!bat_exedir!\ReadParams.bat"
	call :READCONFIG

	!bat_echolog!
	!bat_echolog! =============================================================
	!bat_echolog! %date% %time% - Version: !bat_vers! - %~dpnx0 [%*]
	!bat_echolog! [!bat_batchfile!:SETUP %*]  Please wait...
	!bat_pushecho!


:MAIN
	set bat_returncode=0
	set bat_choice=
	!bat_log! set /p bat_choice=.!bat_pushstring!Enter the Camera number to test capture for or [Q]uit : 
	          set /p bat_choice=.!bat_pushstring!Enter the Camera number to test capture for or [Q]uit : 
	!bat_log! bat_choice=!bat_choice!
	if /i "!bat_choice!" equ "q" (
		set bat_returncode=9
		!bat_log! '    set bat_returncode=!bat_returncode!
		goto :MAIN_END
	)

	set bat_camera=!bat_choice!


	!bat_echolog! *************************************************************
	!bat_echolog! call "!bat_exedir!\FTP_CaptureAndDetect.exe" 2 !bat_camera! 0.02 !bat_targetlocation!
	              call "!bat_exedir!\FTP_CaptureAndDetect.exe" 2 !bat_camera! 0.02 !bat_targetlocation!

	!bat_echolog!
	!bat_echolog! *************************************************************
	!bat_echolog! *************************************************************
	!bat_echolog! *************************************************************


:MAIN_END
goto :DONE



:READCONFIG

	!bat_logexeclog! call "!bat_exedir!\ReadConfig.bat"

!bat_return!






:DONE
	!bat_popecho! goto !bat_batchfile!:DONE [!bat_returncode!]
	!bat_echolog! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	exit /b !bat_returncode!

	