  @echo off
setlocal enabledelayedexpansion enableextensions
rem


:CHECKHELP

	echo.%*|find /i "/?">nul:
	if %errorlevel% equ 0 goto :HELP
	echo.%*|find /i "/h">nul:
	if %errorlevel% equ 0 goto :HELP
	echo.%*|find /i "/help">nul:
	if %errorlevel% equ 0 goto :HELP
	echo.
goto :SETUP

	Flowchart:

	New changes 09/21/2011:
		
	
	
:SETUP
	call "%~dp0AutoCams.setup.bat" "%~dpnx0"
	call "%~dp0indent_setup.bat"

	call "!bat_exedir!\ReadParams.bat"

	!bat_echolog!
	!bat_echolog! =============================================================
	!bat_echolog! %date% %time% - Version: !bat_vers! - %~dpnx0 [%*]
	!bat_echolog! [!bat_batchfile!:SETUP %*]  Please wait...
	!bat_pushecho!


	set bat_startlocation=!bat_exedir!&					rem C:\CAMS
	set bat_startdrive=%~d0&				rem C:
	SET bat_returncode=0
	
	if /i "!bat_startlocation:~-5!" neq "\CAMS" (
		echo     ERROR: You must start from x:\CAMS directory. 
		exit /b 1
	)
	
	rem call :READPARAMS
	set bat_returncode=0

	!bat_logexeclog! set bat_tempdir=!bat_exedir!\Temp
	!bat_logexeclog! set bat_coinc_basedir=!bat_tempdir!\Coincidence
	
	rem bat_sourcedir is optional
	!bat_logexeclog! set bat_sourcedir=%~1
	
	if defined bat_sourcedir (
		!bat_logexec! set /a bat_sources.to.process=1
	) else (
		!bat_logexec! set /a bat_sources.to.process=all
	)

goto :MAIN

	
:MAIN
!bat_pushlog! [GOTO !bat_batchfile!:MAIN %*]

	set /a bat_count_nights=0
	set /a bat_count_avg=0

	set /a bat_count_summaryorbit=0
	set /a bat_count_rejectedorbit=0
	

	rem get the list of "gefdat" dirs to process
	for /f "usebackq tokens=*" %%a in (`dir "!bat_coincidence_basedir!`) do (
		
	)

exit /b -999

	for /f "usebackq tokens=*" %%a in (`dir "!bat_coinc_basedir!\gefdat" /s/b /ad /on`) do (
	echo.
		set bat_orbitdir=%%a
		set bat_temp=%%~dpa::
		set bat_temp=!bat_temp:\::=!
		set bat_temp=!bat_temp:::=!
		
		set bat_basedir=
		set bat_captureddate=
		
		call "!bat_exedir!\ParseDir.bat" "!bat_temp!" bat_basedir bat_captureddate

		call :NEWDATE
		
		for /f "usebackq skip=1 tokens=1,2,3 delims=:" %%b in (`find /i /c /v "" "!bat_summaryorbitlogfile!"`) do (
			echo.%%b, %%c, %%d
			set /a bat_count_summaryorbit+=%%d
		)
		
		for /f "usebackq skip=1 tokens=1,2,3 delims=:" %%b in (`find /i /c /v "" "!bat_rejectedorbitlogfile!"`) do (
			echo.%%b, %%c, %%d
			set /a bat_count_rejectedorbit+=%%d
		)
		
		set /a bat_count_nights+=1
		set /a bat_count_avg=bat_count_summaryorbit/bat_count_nights
	)
	
	echo.
	echo.
	echo.SummaryOrbits    = !bat_count_summaryorbit!
	echo.RejectedOrbits   = !bat_count_rejectedorbit!
	echo.Average per night= !bat_count_avg!
	echo.


exit /b 0

	!bat_logexeclog! dir "!bat_coincidencedir!" /s/b

	set bat_returncode=0
	call :UNZIP %*
	if !bat_returncode! neq 0 goto :ABORT

	call :MERGEDETECT %*

	call :COPYPARAMFILES

	call :PRECOINCIDENCE
	rem if /i "!bat_returncode!" neq "0" (goto :MAIN_END)

	call :COINCIDENCE
	if /i "!bat_returncode!" neq "0" (goto :MAIN_END)

	call :EDITORBITFILE "!bat_targetfilefull!"

:MAIN_END
!bat_poplog! [END !bat_batchfile!:MAIN] [bat_returncode=!bat_returncode!]
!bat_log! :DONE
!bat_log!
goto :DONE



:NEWDATE [in=%*]
!bat_pushlog! [call !bat_batchfile!:PARSEARGS %*]

	!bat_logexeclog! set bat_coincidencedir=!bat_tempdir!\Coincidence\!bat_captureddate!
	!bat_logexeclog! set bat_orbitdir=!bat_tempdir!\Coincidence\!bat_captureddate!\gefdat
	!bat_logexeclog! set bat_summaryorbitlogfile=!bat_orbitdir!\SummaryOrbitLog.txt
	!bat_logexeclog! set bat_summarymeteorlogfile=!bat_orbitdir!\SummarymeteorLog.txt
	!bat_logexeclog! set bat_rejectedmeteorlogfile=!bat_orbitdir!\RejectedMeteorLog.txt
	!bat_logexeclog! set bat_rejectedorbitlogfile=!bat_orbitdir!\RejectedOrbitLog.txt
	!bat_logexeclog! set bat_permeteorlog.txt=!bat_orbitdir!\PerMeteorLog.txt


!bat_poplog! [return-!bat_batchfile!:NEWDATE] [bat_captureddate=!bat_captureddate!]
!bat_log!
%return%


:UNZIP
!bat_pushlog! [call !bat_batchfile!:UNZIP %*]
	if not exist "!bat_coincidencedir!" (
		md "!bat_coincidencedir!"
	)
	
	rem UNZIP...
	!bat_echolog! '    call "!bat_exedir!\7unzip.bat" -y -output "!bat_coincidencedir!" "!bat_tempdir!\!bat_captureddate!*.zip" "*.*"
	                   call "!bat_exedir!\7unzip.bat" -y -output "!bat_coincidencedir!" "!bat_tempdir!\!bat_captureddate!*.zip" "*.*"
	set bat_returncode=!errorlevel!
!bat_poplog! [RETURN !bat_batchfile!:UNZIP] [bat_returncode=!bat_returncode!]
!bat_log!
%bat_return%


:MERGEDETECT
!bat_pushlog! [CALL !bat_batchfile!:MERGEDETECT] [%*]

	!bat_log! call "!bat_exedir!\MergeDetect.bat" "!bat_captureddate!"
	          call "!bat_exedir!\MergeDetect.bat" "!bat_captureddate!"

goto :MERGEDETECT_END

	
:MERGEDETECT_END
!bat_poplog! [RETURN !bat_batchfile!:MERGEDETECT []]
!bat_log!
!bat_return!



:CREATECASEHEADER
!bat_pushlog! [call !bat_batchfile!:CREATECASEHEADER %*]

	if exist "!bat_exedir!\FTPdetectinfo_CaseHeader.txt" (
		!bat_logexec! copy /y "!bat_exedir!\FTPdetectinfo_CaseHeader.txt" "!bat_targetdir!"
	) else (
		echo Meteor Count = 000000>"!bat_caseheaderfile!"
		echo ----------------------------------------------------->>"!bat_caseheaderfile!"
		echo Processed with FTP 1.3 on Tue Feb 28 00:00:00 2012>>"!bat_caseheaderfile!"
		echo ----------------------------------------------------->>"!bat_caseheaderfile!"
		echo FF  folder = c:\d\CAMS\ArchivedFiles\2011_12_29_10_05_22\>>"!bat_caseheaderfile!"
		echo CAL folder = c:\d\CAMS\Cal\>>"!bat_caseheaderfile!"
		echo ----------------------------------------------------->>"!bat_caseheaderfile!"
		echo FF  file processed>>"!bat_caseheaderfile!"
		echo CAL file processed>>"!bat_caseheaderfile!"
		echo Cam# Meteor# #Segments fps hnr mle bin Pix/fm Rho Phi>>"!bat_caseheaderfile!"
		echo Per segment:  Frame# Col Row RA Dec Azim Elev Inten>>"!bat_caseheaderfile!"

	)
!bat_poplog! [RETURN !bat_batchfile!:CREATECASEHEADER] ["!bat_caseheaderfile!"]
!bat_log!
!bat_return!




	rem temporary concat to fix the meteor count
	rem This section concats without the header
	rem Result: New "FTPdetectinfo.txt" file n the target dir.
:TEMPCONCAT
!bat_pushlog! [call !bat_batchfile!:TEMPCONCAT %*]
	set bat_string= &	rem The result will be "001"+"002"+"003"...

	set /a bat_linecount=0
	!bat_pushlog! for /f "usebackq tokens=*" ..a in ^(`dir "!bat_targetdir!\FTPdetectinfo_0*.txt" /b /a-d`^) do ^(
		for           /f "usebackq tokens=*" %%a in  (`dir "!bat_targetdir!\FTPdetectinfo_0*.txt" /b /a-d`) do (
			set /a bat_linecount+=1

			!bat_logexec! set bat_tempstrippedfile=!bat_targetdir!\%%~a

			!bat_logexec! find /i /c "METEOR COUNT" "!bat_targetdir!\%%~a">nul 2>&1
			set bat_returncode=!bat_logexec_returncode!

			if "!bat_returncode!" equ "0" (
				!bat_logexec! set bat_tempsourcefile=!bat_targetdir!\%%~a
				!bat_logexec! set bat_tempheaderfile=!bat_targetdir!\%%~na_header.bak
				!bat_logexec! set bat_tempstrippedfile=!bat_targetdir!\%%~na_stripped%%~xa
				!bat_logexec! set bat_temprenamedfile=!bat_targetdir!\%%~na_stripped.bak
				call :STRIPHEADER "!bat_tempsourcefile!" "!bat_tempheaderfile!" "!bat_tempstrippedfile!"
				
				!bat_logexec! move /y "!bat_tempsourcefile!" "!bat_tempsourcefile!.bak"
			)

			if "!bat_linecount!" equ "1" (
				!bat_logexec! set bat_string="!bat_tempstrippedfile!"
			) else (
				!bat_logexec! set bat_string=!bat_string!+"!bat_tempstrippedfile!"
			)
	)
	!bat_poplog! ^)

	!bat_logexec! copy /y /b !bat_string! "!bat_targetfilefull!"

	set bat_caseheaderfile=!bat_caseheaderfile!

!bat_poplog! [return !bat_batchfile!:TEMPCONCAT] [!bat_string!]
!bat_log!
!bat_return!




	rem Save the meteor count into bat_count	
:GETMETEORCOUNT [out=bat_count]
!bat_pushlog! [call !bat_batchfile!:GETMETEORCOUNT %*]
	if not exist "!bat_targetfilefull!" (
		!bat_echolog! '    ERROR - file not found: "!bat_targetfilefull!"
		set bat_returncode=1
		goto :ABORT
	)
	
	
	!bat_log! '    for /f "usebackq tokens=1-4" a in ^(`find /i /c ".bin" "!bat_targetfilefull!"`^) do ^(
	for                     /f "usebackq tokens=1-4" %%a in (`find /i /c ".bin" "!bat_targetfilefull!"`) do (
		!bat_log! '    set bat_count=%%c
		                    set bat_count=%%c
	)

	!bat_log! '    for /f "usebackq tokens=*" a in ^(`type "!bat_caseheaderfile!" find /i "Meteor Count = "`^) do ^(
	for                     /f "usebackq tokens=*" %%a in (`type "!bat_caseheaderfile!"^|find /i "Meteor Count = "`) do (
		!bat_log! '    set bat_countsrc=%%a
		                    set bat_countsrc=%%a
	)

	set bat_count=000000!bat_count!
	set bat_count=!bat_count:~-6!
	set bat_countdest=Meteor Count = !bat_count!


!bat_poplog! [RETURN !bat_batchfile!:GETMETEORCOUNT] [!bat_countdest!]
!bat_log!
!bat_return!


:GETFFFOLDER [out=bat_fffoldersrc]
!bat_pushlog! [call !bat_batchfile!:GETFFFOLDER %*]
	!bat_log! for /f "usebackq tokens=*" ..a in ^(`type  "!bat_caseheaderfile!"^|find /i "FF  folder"`^) do ^(
	for               /f "usebackq tokens=*" %%a in  (`type  "!bat_caseheaderfile!"^|find /i "FF  folder"`) do (
		set bat_fffoldersrc=%%a
	)
!bat_poplog! [return !bat_batchfile!:GETFFFOLDER] ["!bat_fffoldersrc!"]
!bat_log!
!bat_return!


:GETCALFOLDER [out=bat_calfoldersrc]
!bat_pushlog! call !bat_batchfile!:GETCALFOLDER %*
	!bat_log! for /f "usebackq tokens=*" ..a in ^(`type  "!bat_caseheaderfile!"^|find /i "CAL folder"`^) do ^(
	for               /f "usebackq tokens=*" %%a in  (`type  "!bat_caseheaderfile!"^|find /i "CAL folder"`) do (
		set bat_calfoldersrc=%%a
	)
!bat_poplog! [return !bat_batchfile!:GETCALFOLDER] ["!bat_calfoldersrc!"]
!bat_log!
!bat_return!



	rem Read the FTPdetectinfo_CaseHeader.txt and Save the first 11 lines, replacing
	rem the first line with a good Meteor Count = value
:REBUILDHEADER
!bat_pushlog! [CALL !bat_batchfile!:REBUILDHEADER %*]

	set bat_findstr=!bat_fffoldersrc!
	set bat_findstr_c=!bat_findstr:\=\\!
	set bat_findstr_c=!bat_findstr_c::=\:!

	set bat_replstr=FF  folder = !bat_targetdir!\
	set bat_replstr_c=!bat_replstr:\=\\!
	set bat_replstr_c=!bat_replstr_c::=\:!

	set bat_detectfile=FTPdetectinfo.txt
	if /i "%~2" neq "" (
		set bat_detectfile=%~2
	)
	
	!bat_log! call "!bat_exedir!\ReplaceText.exe" -iCV "!bat_caseheaderfile!" "!bat_findstr_c!" "!bat_replstr_c!"
	              call "!bat_exedir!\ReplaceText.exe" -iCV "!bat_caseheaderfile!" "!bat_findstr_c!" "!bat_replstr_c!"


	set bat_calfolder=!bat_targetdir!\

	set bat_findstr=!bat_calfoldersrc!
	set bat_findstr_c=!bat_findstr:\=\\!
	set bat_findstr_c=!bat_findstr_c::=\:!

	set bat_replstr=CAL folder = !bat_calfolder!
	set bat_replstr_c=!bat_replstr:\=\\!
	set bat_replstr_c=!bat_replstr_c::=\:!

	!bat_log! call "!bat_exedir!\ReplaceText.exe" -iCV "!bat_caseheaderfile!" "!bat_findstr_c!" "!bat_replstr_c!"
	              call "!bat_exedir!\ReplaceText.exe" -iCV "!bat_caseheaderfile!" "!bat_findstr_c!" "!bat_replstr_c!"

	set bat_findstr_c=!bat_countsrc!

	set bat_replstr_c=!bat_countdest!

	!bat_log! call "!bat_exedir!\ReplaceText.exe" -iCV "!bat_caseheaderfile!" "!bat_findstr_c!" "!bat_replstr_c!"
	              call "!bat_exedir!\ReplaceText.exe" -iCV "!bat_caseheaderfile!" "!bat_findstr_c!" "!bat_replstr_c!"

	!bat_echolog!
	!bat_echolog!
	!bat_logexec! type "!bat_caseheaderfile!"
	!bat_echolog!
	!bat_echolog!
!bat_poplog! [return !bat_batchfile!:REBUILDHEADER] [see output above from the command: type "!bat_caseheaderfile!"]
!bat_log!
%bat_return%




:CONCATFINAL
!bat_pushecho! [CALL !bat_batchfile!:CONCATFINAL] [!bat_caseheaderfile!, !bat_string!, !bat_targetfilefull!]
	!bat_logexec! copy /y /b "!bat_caseheaderfile!"+!bat_string! "!bat_targetfilefull!"


	if defined bat_caseheaderfile (
		!bat_logexec! del "!bat_caseheaderfile!"
	) else (
		!bat_echolog! ERROR [!bat_batchfile!:CONCATFINAL] Dangerous command: del "!bat_caseheaderfile!"
	)
rem
	echo.
	if not exist "!bat_targetfilefull!" (
:CONCATPROMPT
		echo Merging the case files seems to have failed and there is not an FTPdetectinfo.txt
		echo file in the "!bat_targetdir!" directory.  Please resolve and then re-run
		echo the following command:
		echo    %~0 %*
		set bat_choice=
		set /p bat_choice=Enter [R]etry Merge, [C]ontinue, or [Q]uit ^(or [E]xplorer to launch Windows Explorer in this directory^): 
		if /i "!bat_choice!" equ "q" goto :DONE
		if /i "!bat_choice!" equ "c" goto :CONCATCONTINUE
		if /i "!bat_choice!" equ "r" goto :MAIN
		if /i "!bat_choice!" equ "e" (
			start Explorer /e,"!bat_targetdir!"
		)
		goto :CONCATPROMPT
	)

:CONCATCONTINUE
:CONCATFINAL_END
!bat_popecho! [return !bat_batchfile!:CONCATFINAL] ["!bat_targetfilefull!"]
!bat_echolog!
%bat_return%





:FIXDETECTPATHS [folder, !bat_detectfile!]
!bat_pushlog! [call !bat_batchfile!:FIXDETECTPATHS [%*, !bat_detectfile!]
	set bat_retval=0
	if /i "!bat_submissionfilesdir!" neq "" (
		echo.
		set /p bat_choice=NOT SUPPORTED - You you have already run Submission. 
		goto :FIXDETECTPATHS_END
	)
	
	set bat_detectfile=FTPdetectinfo.txt
	if /i "%~2" neq "" (
		set bat_detectfile=%~2
	)
	
	set bat_calfolder=!bat_targetdir!\Cal

	rem convert bat_fffoldersrc to C-style string
	set bat_fffoldersrc_c=!bat_fffoldersrc:\=\\!
	set bat_fffoldersrc_c=!bat_fffoldersrc_c::=\:!
	
	set bat_fffolderdest=!bat_targetdir!\ArchivedFiles\
	set bat_fffolderdest_c=!bat_fffolderdest:\=\\!
	set bat_fffolderdest_c=!bat_fffolderdest_c::=\\!

	!bat_log! '    call "!bat_exedir!\ReplaceText.exe" -iC "!bat_targetdir!\!bat_detectfile!" "!bat_fffoldersrc_c!" "!bat_fffolderdest_c!"
	                   call "!bat_exedir!\ReplaceText.exe" -iC "!bat_targetdir!\!bat_detectfile!" "!bat_fffoldersrc_c!" "!bat_fffolderdest_c!"


	!bat_log! '    call "!bat_exedir!\FixDetectPaths.bat" "%~1" %2
	                   call "!bat_exedir!\FixDetectPaths.bat" "%~1" %2
	set bat_retval=!errorlevel!

	if !bat_retval! neq 0 (
		set bat_recent_error_msg=ERROR - Unable to patch paths in detect file "%~1\%2"
		!bat_echolog! '    !bat_recent_error_msg!
		goto :FIXDETECTPATHS_END
	) else (
		set bat_recent_error_msg=SUCCESS - FixDetectPaths.bat "%~1\%2"
		!bat_echolog! '    !bat_recent_error_msg!
	)
:FIXDETECTPATHS_END
!bat_poplog! [return !bat_batchfile!:FIXDETECTPATHS] [!bat_recent_error_msg!]
!bat_log!
!bat_return!


:COPYPARAMFILES
!bat_pushecho! [call !bat_batchfile!:COPYPARAMFILES %*]
	!bat_logexeclog! copy /y "!bat_exedir!\CoincidenceParameters.txt" "!bat_exedir!\Coincidence\CoincidenceParameters.txt"

	!bat_logexeclog! copy /y "!bat_caldir!\CameraSites.txt" "!bat_targetdir!\CameraSites.txt"

	!bat_logexeclog! copy /y "!bat_caldir!\CameraSites.txt" "!bat_targetdir!\Cal\CameraSites.txt"

	!bat_logexeclog! copy /y "!bat_exedir!\CameraTimeOffsets.txt" "!bat_targetdir!\CameraTimeOffsets.txt"

	!bat_logexeclog! copy /y "!bat_caldir!\w902*.txt" "!bat_targetdir!"

	!bat_logexeclog! copy /y "!bat_caldir!\CameraTimeOffsets.txt" "!bat_targetdir!\CameraTimeOffsets.txt"

!bat_poplog! [return !bat_batchfile!:COPYPARAMFILES] []
!bat_log!
!bat_return!




:PRECOINCIDENCE
!bat_pushlog! [call !bat_batchfile!:PRECOINCIDENCE %*]
	rem The input is FTPdetectinfo_Coinc.txt.  This is the merged collection of all detect files. 
	rem The output is FTPdetectinfo_CoincP.txt.  This is a filtered out version of FTPdetectinfo_Coinc.txt
	rem that contains the more likely events.  The decisions are recorded in the "..\gefdat\PerMeteorLog.txt" 
	rem file.  In that file, look for "Auto Rejected" to learn why some are rejected. 
	
	set bat_meteorcount_before_precoinc=
	set bat_meteorcount_after_precoinc=
	
	!bat_echolog! for /f "usebackq tokens=4" ..a in ^(`find /i "meteor count =" "!bat_targetfilefull!"`^) do ^(
	for               /f "usebackq tokens=4" %%a in  (`find /i "meteor count =" "!bat_targetfilefull!"`) do (
		!bat_logexec! set bat_meteorcount_before_precoinc=%%a
	)

	!bat_echolog! '    call "!bat_exedir!\Coincidence\FTP_PreCoincidence.exe" "!bat_targetfilefull!"
	                   call "!bat_exedir!\Coincidence\FTP_PreCoincidence.exe" "!bat_targetfilefull!"
	set bat_returncode=!errorlevel!
	
	!bat_echolog! for /f "usebackq tokens=4" ..a in ^(`find /i "meteor count =" "!bat_targetfilefull_pre!"`^) do ^(
	for               /f "usebackq tokens=4" %%a in  (`find /i "meteor count =" "!bat_targetfilefull_pre!"`) do (
		!bat_logexec! set bat_meteorcount_after_precoinc=%%a
	)
	
	
:PRECOINCIDENCE_END
!bat_poplog! [return !bat_batchfile!:PRECOINCIDENCE] [bat_returncode=!bat_returncode!,
!bat_echolog! '                                         bat_meteorcount_before_precoinc=!bat_meteorcount_before_precoinc!,]
!bat_echolog! '                                         bat_meteorcount_after_precoinc=!bat_meteorcount_after_precoinc!]
!bat_log!
!bat_return!




:COINCIDENCE
!bat_pushlog! [call !bat_batchfile!:COINCIDENCE %*]
	!bat_echolog! '    call "!bat_exedir!\Coincidence\FTP_Coincidence.exe" "!bat_targetfilefull_pre!"
	                   call "!bat_exedir!\Coincidence\FTP_Coincidence.exe" "!bat_targetfilefull_pre!"
	set bat_returncode=!errorlevel!

!bat_poplog! [return !bat_batchfile!:COINCIDENCE] [bat_returncode=!bat_returncode!]
!bat_log!
!bat_return!



:EDITORBITFILE
!bat_pushlog! [CALL !bat_batchfile!:EDITORBITFILE %*]

	if exist "!bat_summaryorbitlogfile!" (
		!bat_echolog! '    start notepad "!bat_summaryorbitlogfile!"
						   start notepad "!bat_summaryorbitlogfile!"
	)
	
	if exist "!bat_summarymeteorlogfile!" (
		!bat_echolog! '    start notepad "!bat_summarymeteorlogfile!"
						   start notepad "!bat_summarymeteorlogfile!"
	)
	
	if exist "!bat_rejectedmeteorlogfile!" (
		!bat_echolog! '    start notepad "!bat_rejectedmeteorlogfile!"
						   start notepad "!bat_rejectedmeteorlogfile!"
	)
	
:EDITORBITFILE_END
!bat_poplog! [return !bat_batchfile!:EDITORBITFILE] [!bat_summaryorbitlogfile!]
!bat_log!
!bat_return!

































































:GETCAMERAFROMARCHIVED
	set /a bat_archivedcount=0
	rem echo for /f "usebackq tokens=*" %%a in ^(`dir "!bat_archivedfilesdir!\FF???_*.bin" /b /a-d`^) do ...
	for /f "usebackq tokens=*" %%a in (`dir "!bat_archivedfilesdir!\FF???_*.bin" /b /a-d`) do (
		set /a bat_archivedcount+=1
		set bat_temp=%%~nxa
		set bat_camera=!bat_temp:~2,3!
	)
%bat_return%


:GETMETEORCOUNTARCHIVED
!bat_pushecho! [call !bat_batchfile!:GETMETEORCOUNTARCHIVED %*]
	set bat_detectfile=FTPdetectinfo.txt

	if /i "!bat_submissionfilesdir!" neq "" (
		set bat_detectfile=FTPdetectinfo_0!bat_camera!_!bat_captureddate!.txt
           
		if not exist "!bat_archivedfilesdir!\!bat_detectfile!" (
			set bat_detectfile=FTPdetectinfo.txt
			
			if not exist "!bat_archivedfilesdir!\!bat_detectfile!" (
				set bat_latestcal=
				set /a bat_archivedmeteorcount=0
				
				goto :GETMETEORCOUNTARCHIVED_END
			)
		)
	)
	
	if /i "!bat_archivedfilesdir!" equ "" (
		goto :GETMETEORCOUNTARCHIVED_END
	)

	set bat_latestcal=
	set /a bat_archivedmeteorcount=0
	!bat_echolog! for /f "usebackq tokens=*" %%a in ^(`find /i ".txt" "!bat_archivedfilesdir!\!bat_detectfile!"`^) do ...
	for /f "usebackq tokens=* skip=2" %%a in (`find /i ".txt" "!bat_archivedfilesdir!\!bat_detectfile!"`) do (
		set /a bat_archivedmeteorcount+=1
		set bat_latestcal=%%a
	)
	
:GETMETEORCOUNTARCHIVED_END
!bat_popecho! [return !bat_batchfile!:GETMETEORCOUNTARCHIVED] [!bat_archivedmeteorcount!, !bat_latestcal!, !bat_archivedfilesdir!\!bat_detectfile!]
%bat_return%




:GETCONFIRMEDCOUNT
!bat_pushecho! [call !bat_batchfile!:GETCONFIRMEDCOUNT %*]
	if /i "!bat_archivedfilesdir!" equ "" (
		goto :GETCONFIRMEDCOUNT_END
	)

	set bat_confirmedfilesdir=!bat_archivedfilesdir:ArchivedFiles=ConfirmedFiles!
	set bat_detectfile=FTPdetectinfo.txt

	if /i "!bat_submissionfilesdir!" neq "" (
		set bat_detectfile=FTPdetectinfo_0!bat_camera!_!bat_captureddate!.txt
		if not exist "!bat_confirmedfilesdir!\!bat_detectfile!" (
			set bat_detectfile=FTPdetectinfo.txt
			if not exist "!bat_confirmedfilesdir!\!bat_detectfile!" (
				goto :GETCONFIRMEDCOUNT_END
			)
		)
	)


	set bat_confirmedcal=
	set /a bat_confirmedmeteorcount=0
	!bat_echolog! for /f "usebackq tokens=*" %%a in ^(`find /i ".bin" "!bat_confirmedfilesdir!\!bat_detectfile!"`^) do ...
	for /f "usebackq tokens=* skip=2" %%a in (`find /i ".txt" "!bat_confirmedfilesdir!\!bat_detectfile!"`) do (
		set /a bat_confirmedmeteorcount+=1
		set bat_confirmedcal=%%a
	)

	call :SAVECONFIG

:GETCONFIRMEDCOUNT_END
!bat_popecho! [return !bat_batchfile!:GETCONFIRMEDCOUNT] [!bat_confirmedmeteorcount!, bat_confirmedcal=!bat_confirmedcal!, !bat_confirmdetect!]
%bat_return%




:GETFILECOUNT [out] bat_capturedcount [in] "dir"
!bat_pushecho! [call !bat_batchfile!:GETFILECOUNT "%~1"  "%~2"]
	set %~1=0
	for /f "usebackq tokens=*" %%a in (`dir "%~2" /b /a-d^|find /i /c ".bin"`) do (
		title set %1=%%a
		      set %1=%%a
	)
!bat_popecho! [return !bat_batchfile!:GETFILECOUNT] [%~1=!%1!]
%bat_return%



:GETCAMERAFROMSUBMISSION
	for /f "usebackq tokens=*" %%a in (`dir "!bat_submissionfilesdir!\FF???_*.bin" /b /a-d`) do (
		set bat_temp=%%~nxa
		set bat_camera=!bat_temp:~2,3!
	)
%bat_return%



:FORMATDATE [out] bat_dateinput [in] bat_captureddate
	set bat_temp=%2
	set %1=!bat_temp:~5,2!/!bat_temp:~-2!/!bat_temp:~0,4!
%bat_return%






:GETCALFILEINFO
	call GetCalfileInfo.bat "!bat_calfilename!"
%bat_return%




:STRIPHEADER
!bat_pushlog! [CALL !bat_batchfile!:STRIPHEADER %*]
	!bat_logexec! call "stripheaderVBS.bat" "%~1" "%~2" "%~3"

:STRIPHEADER_END
!bat_poplog! [RETURN !bat_batchfile!:STRIPHEADER] [bat_retval=!bat_retval!]
!bat_return!





:VARIABLES
	set bat_
	pause
%return%


:FIXDETECTPATHS [folder, !bat_detectfile!]
!bat_pushecho! [call !bat_batchfile!:FIXDETECTPATHS] [%*, !bat_detectfile!]
	set bat_retval=0
	if /i "!bat_submissionfilesdir!" neq "" (
		echo.
		set /p bat_choice=NOT SUPPORTED - You you have already run Submission. 
		goto :FIXDETECTPATHS_END
	)

	!bat_echolog! '    call "!bat_exedir!\FixDetectPaths.bat" "%~1" %2
	                   call "!bat_exedir!\FixDetectPaths.bat" "%~1" %2
	set bat_retval=!errorlevel!
	if !bat_retval! neq 0 (
		set bat_recent_error_msg=ERROR - Unable to patch paths in detect file "%~1\%2"
		!bat_echolog! '    !bat_recent_error_msg!
		goto :FIXDETECTPATHS_END
	) else (
		set bat_recent_error_msg=SUCCESS - FixDetectPaths.bat "%~1\%2"
		!bat_echolog! '    !bat_recent_error_msg!
	)
:FIXDETECTPATHS_END
!bat_popecho! [return !bat_batchfile!:FIXDETECTPATHS] [!bat_recent_error_msg!]
!bat_return!






:READPARAMS
!bat_pushlog! [CALL !bat_batchfile!:READPARAMS]

	CALL "!bat_exedir!\ReadParams.bat"

:READPARAMS_END
!bat_poplog! [RETURN !bat_batchfile!:READPARAMS] [!bat_paramsfile!=!bat_retval!]
!bat_log!
!bat_return!









:HELP
	@echo off
	echo.
	echo %~nx0
	echo.
	echo   Usage: %~nx0 [date]
	echo.
	echo.  Iterates through all the subdirs of "..\Temp\Coincidence\*\gefdat\"
	echo.  and counts the total of "SummaryOrbitLog.txt" and "RejectedOrbitLog.txt" 
	echo.
	echo.  If the optional [date] argument is given, it counts the number of coincidences
	echo.  and rejects for each camera
	echo.
exit /b -99

Needs:
	- 
	
:ABORT
	!bat_echolog! '    ABORTING
	!bat_echolog! '    bat_returncode=!bat_returncode!
	pause
exit /b !bat_returncode!

:DONE
	call :SAVECONFIG
	!bat_echolog! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	!bat_echolog! Done with %0 %*
	!bat_echolog!
exit /b !bat_returncode!
