
rem usage: !bat_CALLecho! "!bat_exedir!\xyz.bat" asdf asdf asd asda sdf 
rem
rem Purpose: 
rem     To call a script that changes the TITLE text so that it can be
rem     restored upon return.
rem 
rem Note: 
rem     The trick is going to be in preserving the ERRORLEVEL and other
rem     variables that are returned using ENDLOCAL and stuff.
rem
rem     Any script that calls "autocams.setup.bat" will change the title.
rem     Most of these, if not all of them, will call SETLOCAL.  Therefore,
rem     the bat_TITLE_string is scoped to the called 
rem


!bat_echolog! CALL %*
              CALL %*
set bat_indent_call_errorlevel=!errorlevel!

	REM Now restore the caption bar
!bat_TITLE!

exit /b !bat_indent_call_errorlevel!
